import java.util.ArrayList;

public class VerwaltungImpl implements IVerwaltung {
	
	private ArrayList<Person> personenListe;
	
	private Verwalter verwalter; 
	

	public VerwaltungImpl(Verwalter verwalter) {
		this.verwalter = verwalter;
		this.personenListe = new ArrayList<Person>();
	}

	@Override
	public void add(Person p) {
		
		this.personenListe.add(p);
		p.setVerwaltet(true);
	}

	@Override
	public void remove(Person p) {
		
		this.personenListe.remove(p);
		p.setVerwaltet(false);
	}

	@Override
	public void clear() {
		
		for(Person p : this.personenListe)
			p.setVerwaltet(false);
		
		this.personenListe.clear();

	}
	
	public static void main(String[] args) {
		
		Verwalter hans = new Verwalter("Rebenhauer", "Hans", 23);
		
		hans.setPosition("Verwalter");
		
		VerwaltungImpl verwaltung = new VerwaltungImpl(hans);
		
		Person p1 = new Person("Hannes","Markus",33);
		Person p2 = new Person("Strass", "Maria", 26);
		
		verwaltung.add(p1);
		verwaltung.add(p2);
		System.out.println(p2.getName()+" ist verwaltet: "+p2.isVerwaltet());
		
		verwaltung.remove(p1);
		System.out.println(p1.getName()+" ist verwaltet: "+p1.isVerwaltet());
		
	}

}
